# Makefile for Rayce with DJGCC compiler under DOS.

CFLAGS=-O2 -fomit-frame-pointer -finline-functions -funroll-loops -m486 -c
LINKER=gcc
CC=gcc
YFLAGS=-d
YACC=bison
PARSFILE=rayparse
SYSFILE=djgcc
LIBS=-lm
OBEX=o
LDFLAGS=-s

include Sources.make

djrayce:  $(OBJ)
	$(LINKER) $(LDFLAGS) -o djrayce $(OBJ) $(LIBS)
	coff2exe djrayce
	@del djrayce >NUL

clean:
	@del *.o >NUL
	@del rayce >NUL
	@del rayparse.c >NUL

$(OBJ): $(HDR)

HDR=ray.h extern.h

$(PARSFILE).c: rayparse.y
	$(YACC) $(BFLAGS) rayparse.y

.c.$(OBEX):
	$(CC) $(CFLAGS) $*.c
