# makefile for Rayce.

# set CC, YACC to the appropriate names, set the CFLAGS correct
# Depending on your os, change the .$(OBEX) endings


# 		 MSDOS/Turbo-C

SYSFILE=ibmtcc
PARSFILE=rayparse
LINKFL=-ml -erayce
LINKER=tcc
CC=tcc
YFLAGS=-d
YACC=bison
CFLAGS=-c -O2G -f287 -ml -w-cln	# stop compiler from complaining on Bison output
OBEX=obj

# be careful. MS Dos truncates some names, such as initialize.c

!include Sources.make
HDR=ray.h extern.h

rayce:  $(OBJ) 
	$(LINKER) $(LINKFL) *.obj

$(OBJ):	$(HDR)

.c.$(OBEX):
	$(CC) $(CFLAGS) $*.c

# note on messydog systems, output of bison will be called
# rayparse.y and rayparse.h
#
#rayparse.c: rayparse.y

#is an implicit rule in gnu make, but just to be on the safe side
$(PARSFILE).h $(PARSFILE).c: rayparse.y
	$(YACC) $(YFLAGS) rayparse.y







