/*
   This scene is (c) 1995 Han-Kwang Nienhuys

   Distributed under terms of the GPL.
*/
/*

   Las 1

    _________         ^ y
   /  \      \        |
  /_  _\      \       +--> x
    \/  -     -
           \ /

Ref: center of cylinder

*/


#declare las1 = intersection {
    cylinder { -4.5*x, 4.5*x, 7.5 }
    plane { z, 0 rotate -26.6*y translate z*7.25 }
    plane { z, 0 rotate 26.6*y translate z*7.25 }
    plane { -z, 0 rotate -26.6*y translate -z*7.25 }
    plane { -z, 0 rotate 26.6*y translate -z*7.25 }
    plane { -y, -0.5 }
// cylinder { -5*x, 5*x, 7 inverse }    
}


/*

  Las 2

  Same, but square (diagonally: 18 mm)

*/

#declare las2 = intersection {
    cylinder { -9*x, 9*x, 7.5 }
    box { <-6.364,7.5,-6.364>, <6.364,0,6.364> rotate y*45 scale <1,1,0.77>}
}

/* las 3

   Ditto, diamond (diag. 28x12 mm)

*/

#declare las3 = intersection {
 cylinder {-14*x,14*x,7.5}
 box {
   <-1,0,-1>,<1,7.5,1>
   scale <0.707,1,0.707>
   rotate y*45
   scale <14,1,6>
 }
}
   


      
     