/*
   This scene is (c) 1995 Han-Kwang Nienhuys

   Distributed under terms of the GPL.
*/
/*

Second valve: valve + first pump

Reference: bottom of valve

*/

#declare v2rad=7

#declare slide2 = composite {
 
  // U follows

    object { connring translate <2, 0, 0> }
    cylinder { <0>, x*18, v2rad texture { nickelsilver } }
    object { connring translate <16, 0, 0> }
    intersection {
        torus {10, 6.5 rotate x*90 }
        plane { -x, 0 }
        translate <18, 10, 0>
    }
    object { connring translate <16, 20, 0> }
    cylinder { <18, 20, 0>, <0, 20, 0>, v2rad texture { nickelsilver } }
    object { connring translate <0, 20, 0> }
    
    cylinder { <28, 10, 0>, <28, 10, 7.1>, 4.4 } // little button
    sphere { <28, 10, 7.1>, 4.4 }
    
// connections to valve follow

    intersection {
        torus { 7.5, 6.5 }
        plane { x, 0 }
        plane { -x, 0 rotate -y*45 }
        translate <0, 0, -7.5>
    }
    
    intersection {
        torus { 7.5, 6.5 }
        plane { x, 0 }
        plane { -x, 0 rotate -y*45 }
        translate <0, 20, -7.5>
    }
    
// maneuvre in correct position    
    
    translate <5.99, 0, 2.986>
    rotate -y*53
    
    cylinder { <0>, -2*z, 6.5 }
    cylinder { 20*y, <0, 20, -2>, 6.5 }
    
}


#declare valve2 = composite {
    object { valve }
    object { slide2 translate <0, 35.5, 10> }
}
