/*
   This scene is (c) 1995 Han-Kwang Nienhuys

   Distributed under terms of the GPL.
*/
/*

mouthpiece
          _==
=========(_||   -------------> x-axis
   ^       ==
   |
   |
Reference point: entrance to trumpet

*/


/*

#declare mouthpiece = composite {
    object {
        intersection  {
            union {
                cylinder { <0>, -x*9, -13.5 }
                object {
                    intersection {  // cone, r=11 at x=9, r=9.5 at x=12.5
                        object{ QCone_X scale <25.67, 11, 11> }
                        plane { x, 25.67 }
                        plane { -x, -22.17 }
                    }
                    bounded_by { box { <22, 12, 12>, <26, -12, -12> } }
                    translate <-25.67-9, 0, 0>
                }
                cylinder { -12.5*x, -22.5*x, 9.5 }
            }

            union {
                sphere { <0>, 1 scale <10, 7.5, 7.5> }
                cylinder { <0>, -x * 87, 2 }
                inverse
            }
        }
    }


    sphere { -22.5*x, 9.5 }
    cylinder { -25*x, -46*x, 4.5 }
    torus { 4.5, 0.8 rotate z*90 translate -x*39 }
    cylinder { x*-46, x*-54, 5.25 }
    object {
        intersection {
            object {
                QCone_X scale <198, 6, 6> // cone, r=6 at x=54, r=5 at x=87
                bounded_by { box { <160, 7, 7>, <200, -7, -7> } }
            }
            plane { x, 198 }
            plane { -x, -165 }
            translate -x*(198+54)
        }
        bounded_by { box { <-54, 7, 7>,< -88, -7, -7> } }
    }

    translate x*64

    bounded_by { box { <-23, -14, -14>, <64, 14, 14> } }

}

*/

// temp direction of cone positive x-axis


#declare mouthpiece = composite {
// temp ref at entrance of mp    
    
    intersection {
        union {
            object { intersection { plane {-x, 0 } cylinder {-x, x, 10.6 } } } // disc
            torus {10.6, 3 rotate z*90 translate x*3 }
            cylinder {x*3, x*9.5, 13.6 }
            intersection {
                torus {11.7, 0.8 rotate z*90 scale <2.875, 1, 2.875> inverse }
                cylinder {x*9.5, x*12.5, 11.7 }
            }
        }
        sphere { <0>, 1 scale <10, 7.5, 7.5> inverse }
    }
    
    intersection {
        sphere { <0>, 10 }
        plane { -x, 0 }
        scale <1.3, 1.04, 1.04>    // bug ??
        translate x*12.5
    }
    
    cylinder { x*15, x*39.7, 4.8 }
    cylinder { x*29, x*34, 5.2 }
    torus { 4.75, 1.25 rotate z*90 translate x*31.5 }
    
    cylinder {x*39.7, x*45.4, 5.6 }
    
    object {
        intersection {
            object { QCone_X scale <252.6, 6, 6> }
            plane {-x, 252.6 } plane {x, -210.5 }
            translate (252.6+45.4)*x
        }
        bounded_by { box {<45.4, 6, 6>,< 87.5, -6, -6> } }
    }
    
    scale <-1, 1, 1>
    translate x*64
    texture { nickelsilver }
}


