/*
   This scene is (c) 1995 Han-Kwang Nienhuys

   Distributed under terms of the GPL.
*/
/*

   object { valve }


   ===
    |
    |
   ===
   | |
   | |
   | |
   | |
   | |
   | |
   | |
   ===    <--- reference point


*/

#declare valvesimple = composite {
    cylinder { <0>, y*125.5, 10 }
    cylinder { y*125.5, y*139.5, 3 }
    cylinder { y*139.5, y*145.5, 8.5 }
    disc { y*125.51, y, 10 texture { rubber } }  // (rubber)
    disc { y*145.51, y, 8.5 texture { parelmoer } }  // (parelmoer)
}

#declare valveadv = composite {
    composite {
    object {
 /*       intersection {
            object { QCone_Y scale <9, 6.75, 9> }
            plane {-y, -3.75 }
            plane { y, 6.75 }
            translate -y*6.75
	
        }
        bounded_by { box { <9, -3, 9>,< -9, 0, -9> } }
*/
	cone { 3*y, 0*y, 3.75, 6.75 }
     }
    disc { -y*3.01, -y, 2.5 }
    cylinder { 1*y, 4.5*y, 11 }
   texture { nickelsilver }
}

    cylinder { <0>, 78*y, 10 }
 
    cylinder { 5.8*y, 6.2*y, 10.01 texture { rubber } }
    torus { 7.708, 3.042 translate y*77 }
    torus { 8, 2.5 translate y*80 }
    intersection {
        sphere { <0>, 11 scale <1, 3.908, 1> }
        plane { y, 21.952 }
        plane { -y, 13.545 }
        translate <0, 13.545+81, 0>
    }
    composite {
    cylinder { y*116.5, y*119.5, 10.5 }
    cylinder { y*117.48, y*117.52, 10.505 texture { rubber } }
    cylinder { y*119.5, y*122.5, 11.5 }
    object {
        intersection {
            object { QCone_Y scale <11.5, 17.25, 11.5> }
            plane { -y, 17.25 }
            plane { y, -14.25 }
            translate y*17.25
        }
        bounded_by { box { <12, 0, 12>, <-12, 3, -12> }  }
        translate y*122.5
    }
    disc { 125.51*y, y, 9.5 texture { rubber } }
    cylinder { 125.5*y, 126.5*y, 5 }
    cylinder { 126.5*y, 144.49*y, 3 } // loopt door in knop
    torus { 7.1, 1.5 translate y*143 }
    object {
        intersection {
            object { QCone_Y }
            plane { -y, 7.1 }
            plane { y, -6.1 }
            translate 7.1*y
        }
        bounded_by { box { <9, 0, 9>, <-9, 2, -9> } }
        translate y*144.5
    }
   texture { nickelsilver }
   }
    disc { y*145.5, y, 6.1 texture { parelmoer } }
}

#declare valve = object { valveadv }

