#ifndef PARSE_HH
#define  PARSE_HH
#include "ray.hh"
#include "color.hh"


/* some defs for declaring stuff */
class Identifier
{
 private:

    Identifier * next;
    friend class Declare_tab;
 public:
    char   *name;
    void   *data;
    int     type;
            Identifier(const char *s);
            ~Identifier();
    void print() const ;
    void del_data();
};

int yylex();
void yyerror(const char *s);
void yywarning(const char *s);
void start_parse();

int lookup_keyword(const char *s);
void kill_declarations();
Identifier * lookup_declaration(const char *s);
#endif
